Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3117 - loadkeys <mapfile> [mapfile ...] not possible
Summary: loadkeys <mapfile> [mapfile ...] not possible
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-28 12:51 UTC by torben
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-23 21:24:26 UTC


Attachments (Terms of Use)

Description torben 1999-05-28 12:51:30 UTC
Custimization of the supplied keymap files is best done
by loading a customized map after the default map.

I have local additions in local.map. There are two ways
to use it:

loadkeys dk-latin1.map local.map  or

loadkeys dk-latin1.map  and then
loadkeys local.map

None of this is possible with the current init scripts.
I tried to hack /etc/sysconfig/keyboard by editing it
to
KEYTABLE="dk-latin1 local" and double quoute the string
KEYTABLE in /etc/rc.d/init.d/keytable to get both keymaps
loaded. But that did not work.
It it did, linuxconf would destroy it at the next occasion.

For now, I have added an extra keymap line in
/etc/rc.d/init.d/keytable. But that will be gone the next
time I upgrade :-(

Comment 1 Bill Nottingham 1999-06-21 20:27:59 UTC
Hmmm; I set KEYTABLE="de us" in /etc/sysconfig/keyboard
and it seemed to work OK - what errors did you get?

------- Email Received From  torben fjerdingstad <torben@fjerdingstad.dk> 06/21/99 16:52 -------


Note You need to log in before you can comment on or make changes to this bug.